mypaint (2.0.1-10build2trisquel1) ecne; urgency=medium

  * Cherry-pick upstream patch to fix segfault when libmypaint is built
    with OpenMP.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 03:23:15 +0000

mypaint (2.0.1-10build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:20:08 +0000

mypaint (2.0.1-10build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:24:53 +0000

mypaint (2.0.1-10) unstable; urgency=medium

  * Team upload.
  * debian/patches/0002-Handle-python3-distutils-removal.patch:
    Add temp patch to avoid using python3-distutils, which is no longer
    available with python3.12. (Closes: #1061312)
  * debian/control: Drop python3-distutils usage.
  * debian/rules:
    + Drop commands about python2.
    + Drop commands about distutils.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 01:08:47 -0500

mypaint (2.0.1-9) unstable; urgency=high

  * Team upload.
  * debian/patches/python3.11.patch: Fix compatibility with python3.11.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 16:11:03 -0500

mypaint (2.0.1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove unused license definitions for CC-BY-3.0-US.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:40:54 +0100

mypaint (2.0.1-7) unstable; urgency=medium

  * debian/rules: Ignore test failure for now following upstream
    status quo.
  * debian/docs: Renamed to mypaint.docs for explicit installation.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 17:11:37 -0400

mypaint (2.0.1-6) unstable; urgency=medium

  * debian/rules: Do not use embedded distutils copy from setuptools
    to prevent FTBFS.
  * debian/copyright: Drop information about disappeared files.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 15:05:42 -0400

mypaint (2.0.1-5) unstable; urgency=medium

  * Remove build-test-dep on python-nose. (Closes: #1018417).

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Aug 2022 15:25:10 -0400

mypaint (2.0.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgtk-3-dev.
    + mypaint: Drop versioned constraint on gir1.2-gtk-3.0 in Depends.
    + mypaint-data: Drop versioned constraint on mypaint in Replaces.
    + mypaint-data: Drop versioned constraint on mypaint in Breaks.
    + mypaint-data-extras: Drop versioned constraint on mypaint-data in
      Replaces.
    + mypaint-data-extras: Drop versioned constraint on mypaint-data in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 17:54:22 +0100

mypaint (2.0.1-3) unstable; urgency=high

  * Team upload.
  * Rebuild against python3.10. Quick fix for #975582.
  * debian/control:
    + Drop :any modifier to python3-dev; it needs native
      python3-dev package. This is the proper fix to
      bug 975582. (Closes: #975582).
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 May 2022 13:05:38 -0400

mypaint (2.0.1-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Dec 2020 15:02:50 -0500

mypaint (2.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Sep 2020 21:49:17 -0400

mypaint (2.0.0+git20200502-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (2020-05-02).
  * Rebuild with libmypaint 1.6.0.
  * debian/control:
    + Mark package mypaint-data and mypaint-data-extra
      as Multi-Arch: foreign.
    + Add missing build and runtime dependency on librsvg.
      (Closes: #959620)
  * debian/patches: Refresh patch and drop all python2-compat
    imports. This also helps to fix #959620.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 May 2020 18:22:59 -0400

mypaint (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Finish Python3.8 transition. (Closes: #954142)
  * debian/rules: Honour "nocheck" profile for dh_auto_test.
    (Closes: #954091)

  [ Rik Mills ]
  * debian/control: Add dependency on python3-distutils. Fixes crash
    on application start. (LP: #1870353)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 19:09:23 -0400

mypaint (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Mar 2020 14:53:35 -0400

mypaint (2.0.0-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules: Ignore several files during nosetest as suggested
    by upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Feb 2020 13:44:00 -0500

mypaint (2.0.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Set XDG_CACHE_HOME to fix some test errors.
    + Fix dh_clean invocation (lintian warning).
  * debian/patches: Add patch to fix grammar errors in translations.
  * debian/copyright: Properly document CC0-1.0-licensed files.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Feb 2020 15:31:27 -0500

mypaint (2.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 2.0.0. (Closes: #853938)
    + Migrate away from scons. (Closes: #947570)
    + Migrate away from python2. (Closes: #937099)
    + The conflict between libmypaint-common and mypaint-data is
      solved by upstream. (Closes: #897909, #932868)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.5.0.
    + Migrate to python3. (Closes: #947251)
    + Update homepage information. (Closes: #928075)
    + Add (build-)dependency on new libmypaint.
  * debian/patches: Dropped, all merged upstream.
  * debian/upstream/metadata: Add upstream information: Repository,
    Repository-Browse.
  * debian/rules: Rewrite to fit upstream's use of setup.py.

  [ Sandro Tosi ]
  * debian/watch
    - recognize beta versions too

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Feb 2020 16:36:17 -0500

mypaint (1.2.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Gianfranco Costamagna ]
  * debian/patches/49f0a9fdf06010f4ca03ce233468206481480830.patch:
    - cherry-pick and adapt upstream Python3 build failure fix
      (note, this is not really needed yet, but we need a no-change rebuild
       against fixed scons 3.1.1-2)
  * Team Upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 14:57:41 +0200

mypaint (1.2.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/Remove-references-to-BOGOSITY-cursor.patch,
    d/p/Fix-cherry-pick-stable-branch-has-pygtk-syntax.patch,
    d/p/hcywheel-Avoid-deprecated-gdk.Cursor-constructor.patch:
    Fix startup on Wayland systems (Closes: #859064)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 18:26:32 +0100

mypaint (1.2.0-4) unstable; urgency=medium

  * Add debian/patches/fix-gtk-3.22.4-canvas-disappearance.patch to fix
    fullscreen mode. (Closes: #848356)

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Thu, 02 Feb 2017 14:39:42 +0000

mypaint (1.2.0-3) unstable; urgency=medium

  * Update d/rules to use dh sequencer. Fixes arch-indep FTBFS.
    (Closes: #845111)
  * Update to dh compat level 9.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 22 Nov 2016 00:02:02 -0800

mypaint (1.2.0-2) unstable; urgency=medium

  * Acknowledge NMU. Thanks Tobias!
  * Add debian/patches/fix-glib-2.48-startup-crash.patch to fix startup crash.
    (Closes: #822784)
  * Add myself to Uploaders.
  * Update Standards version to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 May 2016 22:43:44 -0700

mypaint (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition: Change B-D from libpng12-dev to libpng-dev.
    (Closes: #819440)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 16:41:19 +0200

mypaint (1.2.0-1) unstable; urgency=low

  * Team upload.

  [ Andrew Chadwick ]
  * New release. (Closes: #812865)
  * Update copyright.
  * Install docs.
  * Update watchfile, and add my signing signature.
  * Changelog has changed filename.
  * Add dh-python to build-deps.
  * Standards bump 3.9.4 -> 3.9.6.
  * Patches are in upstream now, drop patches/.
  * Add Nautilus thumbnailer to install.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Cheng ]
  * Import Andrew Chadwick's changes from https://github.com/mypaint/debian
  * Update build-depends from libjson0-dev to libjson-c-dev. (Closes: #745007)
  * Remove debian/menu file as per tech-ctte decision in #741573.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Feb 2016 19:00:26 -0800

mypaint (1.1.0-3) unstable; urgency=low

  * Remove redundant patch: we don't run the memory-intensive test any more.
  * (Fixes unpack failure FTBFS with patch 2.7.1 (closes: Bug#706508))

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 01 May 2013 12:48:43 +0100

mypaint (1.1.0-2) unstable; urgency=low

  * Fix FTBFS with DEB_BUILD_OPTIONS=noopt (closes: Bug#704935)
  * Fix hardening flags not being honoured (closes: Bug#704927)

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Sun, 21 Apr 2013 20:37:02 +0100

mypaint (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * New upstream has an updated ru_RU.UTF-8 translation (closes: Bug#685254).
  * Standards bump and check 3.9.2 -> 3.9.4.
  * debian/rules: fix lintian script-not-executable for label-brush-mypaint.sh
  * debian/{rules,control}: split out hi-res data (closes: Bug#660881).
  * debian/copyright: update to cover new upstream licenses; machine-readable.
  * Mark myself as Uploader and PAPT as Maintainer (closes: Bug#691827).
  * Recommend shared-mime-info (closes: Bug#545396).
  * Migrated from deprecated dh_pysupport to dh_python2.
  * debian/control: update homepage link
  * debian/control: provide Vcs-* info
  * debian/rules: use dh_install, and use it to check for overlooked files
  * Move message catalogs to mypaint-data.
  * Backport license update to the all-colours palette (lintian, spelling(!)).
  * Backport removal of deprecated Encoding key from upstream (lintian).
  * Build with hardening flags.
  * Patch in upstream test suite fixes, and run tests during build.
  * (Only the one which will run with <= 512M RAM, e.g. some ARM buildbots.)
  * (19 Jan) Move development to Debian VCS (requirement of python apps team).
  * Add python-matplotlib and python-tk in build-depends (test suite reqs);
  * Lowercase first letter of each short package description (best practice).
  * Newlines for Build-Depends and Depends (sponsor preference).

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 20 Mar 2013 13:08:23 +0000

mypaint (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add lintian recommended targets.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 25 Nov 2011 10:38:25 +0100

mypaint (0.9.1-1) unstable; urgency=low

  * New upstream version. (Closes: #618792)
  * Added versioning for depends of mypaint-data. (Closes: #614091)
  * Bump debhelper version to 8.
  * Bump standards version to 3.9.2.
  * debian/control: Changed Source:Version to source:Version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 03 May 2011 14:19:24 +0100

mypaint (0.9.0-1) unstable; urgency=low

  * New upstream version, dropped protobuf dependency. (Closes: #570685)
  * Bump standards version to 3.9.1.
  * Updated the manual page.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 02 Nov 2010 22:32:34 +0100

mypaint (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please do not hardcode python dependencies in debian/control"
    applied patch by Daniel Hahler, thanks Daniel! (Closes: #575641)

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Aug 2010 22:01:39 +0200

mypaint (0.8.2-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * Add missing dependency to python-gtk2. (Closes: #571600)
  * Switch to dpkg-source 3.0 (quilt) format to avoid repackaging.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 24 Feb 2010 11:05:51 +0100

mypaint (0.8.0-2) unstable; urgency=low

  * Bump standards version.
  * debian/cntrol: add depends for python-protobuf. (Closes: #568958)
  * Add debian/manpages so the manual page gets installed.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 09 Feb 2010 10:35:26 +0100

mypaint (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * debian/changelog: Updated copyright year.
  * debian/control: Add build-depends for protobuf-compiler.
  * debian/control: Add depends for python-numpy. (Closes: #551322)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 30 Jan 2010 19:53:23 +0100

mypaint (0.7.1-2) unstable; urgency=low

  * Added missing copyright holders.
  * Applied patch to fix desktop icons. (Closes: #545387)
    Thanks to Andrew Chadwick for the patch.
  * Applied patch to fix multiple builds. (Closes: #545650)
    Thanks to Andrew Chadwick for the patch.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 21 Sep 2009 16:55:18 +0200

mypaint (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #527598)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 23:31:35 +0200
